package java.time.chrono;

import java.time.format.DateTimeFormatterBuilder;
import java.util.Locale;
import java.time.format.TextStyle;
import java.time.temporal.ChronoField;
import java.time.temporal.ValueRange;
import java.time.temporal.TemporalField;
import java.time.DateTimeException;

public enum HijrahEra implements Era
{
    AH;
    
    public static HijrahEra of(int i) {
        if (i == 1) {
            return HijrahEra.AH;
        }
        throw new DateTimeException("Invalid era: " + i);
    }
    
    @Override
    public int getValue() {
        return 1;
    }
    
    @Override
    public ValueRange range(TemporalField temporalField) {
        if (temporalField == ChronoField.ERA) {
            return ValueRange.of(1L, 1L);
        }
        return super.range(temporalField);
    }
    
    @Override
    public String getDisplayName(TextStyle textStyle, Locale locale) {
        return new DateTimeFormatterBuilder().appendText(ChronoField.ERA, textStyle).toFormatter(locale).withChronology(HijrahChronology.INSTANCE).format(HijrahDate.now());
    }
}
